guix-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

'staging' freeze


From: Marius Bakke
Subject: 'staging' freeze
Date: Sun, 28 Aug 2022 15:56:17 +0200

Hi Guix,

The 'staging' branch is in a pretty good shape, let's get it merged!

Highlights from this branch:

* Rust 1.60
* Gstreamer 1.20.3
* Sphinx 5.1.1
* ruby-nokogiri and its dependencies is no longer in the bootstrap path
  of TeX Live, so they can be more freely updated on 'master'

I'm fairly rusty when it comes to Cuirass, and don't see a button to
start the jobset here even when authenticated:

  https://ci.guix.gnu.org/jobset/staging

Can someone remind me how to enable a disable jobset?  :-)

Full shortlog below:

Marius Bakke (100):
      [a49c829a05] gnu: libva: Update to 2.14.0.
      [87793b349f] gnu: libva: Use G-expressions.
      [a5436115a0] gnu: python-babel: Update to 2.10.3.
      [e850e361b6] gnu: python-sphinx: Update to 5.0.2.
      [9acd1a150f] gnu: python-certifi: Update to 2022.6.15.
      [647ec2ae78] gnu: python-requests: Update to 2.28.0.
      [a4283bf55f] gnu: python-urllib3: Update to 1.26.9.
      [3787f0d215] gnu: python-charset-normalizer: Update to 2.1.0.
      [32c676bbcd] gnu: libepoxy: Update to 1.5.10.
      [2692624ecf] gnu: libepoxy: Use new style.
      [c209146212] gnu: libwebp: Update to 1.2.2.
      [1535d8c5d8] gnu: libwebp: Simplify inputs.
      [7f209d8425] gnu: bluez: Update to 5.64.
      [6cb7e67dc5] gnu: bluez: Simplify inputs.
      [60f17c197d] gnu: bluez: Use new style.
      [a6bc7baa54] gnu: freeglut: Update to 3.2.2.
      [ddc538ac32] gnu: libical: Update to 3.0.14.
      [b40151ff4f] gnu: glu: Update to 9.0.2.
      [421a3c8172] gnu: libinput: Update to 1.19.4.
      [fce910af55] gnu: Remove postgresql@13 replacement.
      [6c7fcc71d1] gnu: qtbase: Build with PostgreSQL@14.
      [66e3adcad8] gnu: Remove unused patch.
      [de9d389c54] gnu: nspr: Update to 4.34.
      [fd004ddafa] gnu: nss, nss-certs: Update to 3.80.
      [b316d8b751] gnu: nspr: Use G-expressions.
      [01d1b285b8] gnu: nss: Use G-expressions.
      [dce7ed146d] gnu: libunwind: Enable tests.
      [d33f051740] gnu: libmng: Remove input labels.
      [5b48591176] gnu: python-pillow: Update to 9.2.0.
      [32b7e12e77] gnu: python-cffi: Update to 1.15.1.
      [97e2983310] gnu: python-cffi: Remove input labels.
      [f49eef43fd] gnu: iso-codes: Remove input labels.
      [03a4908ea5] gnu: mozjs: Build with the default LLVM.
      [13040cd309] gnu: mozjs: Remove obsolete workaround.
      [1f22184b22] gnu: python-attrs: Disable test deadline on all 
architectures.
      [572ed223ab] gnu: python-requests: Update to 2.28.1.
      [8d241c685a] gnu: python-chardet: Update to 5.0.0.
      [3b20467807] gnu: libva: Update to 2.15.0.
      [c0c6944f1a] gnu: perl-pod-parser: Update to 1.65.
      [9b4b5e33c4] gnu: perl-file-basedir: Update to 0.09.
      [c3da692293] gnu: perl-file-mimeinfo: Update to 0.33.
      [4625519f2c] gnu: libmbim: Update to 1.26.4.
      [718f75a55a] gnu: libqmi: Update to 1.30.8.
      [40992a1e02] gnu: modem-manager: Remove input labels.
      [9ee4069eb0] gnu: modem-manager: Use G-expression.
      [fdd40f391c] gnu: modem-manager: Remove obsolete input.
      [68aab436af] gnu: modem-manager: Update to 1.18.10.
      [f098d93352] gnu: nss, nss-certs: Update to 3.81.
      [f3673447cc] gnu: rust-smallvec: Update to 1.9.0.
      [ca5f1dd01e] gnu: rust-target-lexicon: Update to 0.12.4.
      [7b38d7731a] gnu: rust-cfg-expr: Add 0.10.3.
      [8d05800f67] gnu: rust-system-deps: Add 6.0.2.
      [e31cc7f0c9] gnu: rust-glib-sys: Add 0.15.
      [21e5e408bf] gnu: rust-cairo-sys: Add 0.15.1.
      [633c4ca407] gnu: rust-gobject-sys: Add 0.15.10.
      [ac393134e5] gnu: rust-glib-macros: Add 0.15.
      [bc9ea4f6e8] gnu: rust-glib: Add 0.15.12.
      [01c410a440] gnu: rust-cairo-rs: Add 0.15.12.
      [def0acd5e5] gnu: rust-pango-sys: Add 0.15.
      [713b289ff0] gnu: rust-pango: Add 0.15.10.
      [c5d4f2e8f0] gnu: rust-pangocairo-sys: Add 0.15.
      [2f9aa892c6] gnu: rust-pangocairo: Add 0.15.1.
      [b4678e4488] gnu: rust-gio-sys: Add 0.15.10.
      [bdd55817ed] gnu: rust-gdk-pixbuf-sys: Add 0.15.
      [79ee7d783a] gnu: rust-gio: Add 0.15.12.
      [c7bbf937ff] gnu: rust-gdk-pixbuf: Add 0.15.11.
      [de212cb74e] gnu: rust-itertools@0.10: Update to 0.10.3.
      [26afc27f29] gnu: rust-tinyvec@1: Update to 1.2.0.
      [e62dd8e762] gnu: rust-crc32fast: Update to 1.3.2.
      [822edbf08b] gnu: rust-gzip-header: Add 1.0.0.
      [fe76e27789] gnu: rust-mint: Update to 0.5.9.
      [1160932ea0] gnu: rust-deflate: Add 1.0.0.
      [4059158e6a] gnu: rust-png: Add 0.17.
      [1338e25610] gnu: rust-yeslogic-fontconfig-sys: Add 2.11.2.
      [0b770c2da4] gnu: librsvg: Update to 2.54.4.
      [7b69cd0740] Revert "gnu: librsvg: Update to 2.54.4."
      [b9a3083db3] gnu: qtscxml: Fix build failure.
      [f561830a5b] gnu: python-pympler: Update to 1.0.1.
      [431df1214e] gnu: python-dateutil: Adjust tests for Pytest 7.
      [30ac875bd8] gnu: python-sphinx: Update to 5.1.1.
      [a20a934081] gnu: python-freezegun: Update to 1.2.2.
      [c5860b97e9] gnu: python-freezegun: Adjust for Python 3.10.
      [625bfd4257] gnu: gtk-doc: Remove unused input.
      [fd01278236] gnu: gtk-doc: Remove input labels.
      [be5965b196] gnu: gtk-doc/stable: Use 'modify-inputs'.
      [00e78042b7] gnu: python-sphinx: Add 4.5.0.
      [27555b0566] gnu: python-sphinx-panels: Use python-sphinx@4.
      [213c60f332] gnu: texlive-hyperref: Propagate more inputs.
      [c8c7dc311f] gnu: python-cython: Update to 0.29.32.
      [e38a46a9bb] gnu: rust-cc: Update to 1.0.73.
      [2fe473a5af] gnu: Add rust-python3-dll-a.
      [283d3fd7c3] gnu: rust-pyo3: Add 0.16.5.
      [d6fa3ac7a8] gnu: mozjs: Update to 102.2.0.
      [5ddc99da69] gnu: mozjs: Add 91.13.0.
      [290ac5cd1e] gnu: polkit: Update to 121.
      [ad99842136] gnu: libsecret: Propagate libgcrypt.
      [de2dbbcda5] gnu: gjs: Build with mozjs 78.
      [8888e9bfb2] gnu: gjs: Remove input labels.
      [bff11d6ac2] gnu: gjs: Update to 1.72.2.
      [fb3d90b8f3] gnu: gst-plugins-base: Propagate gudev.

Efraim Flashner (27):
      [2ca5163651] gnu: qt-5: Update to 5.15.4.
      [566250ec34] gnu: python-pyqt: Update to 5.15.4.
      [74e8b14129] gnu: python-pyqt5-sip: Update to 12.10.1.
      [571fdf91cc] gnu: python-pyqtwebengine: Update to 5.15.4.
      [71fb77cb65] gnu: python-shiboken-2: Update to 5.15.4.
      [1218a5ad69] gnu: qt-5: Update to 5.15.5.
      [c6c56f989b] gnu: python-pyqt: Update to 5.15.5.
      [93bff2d79d] gnu: python-pyqtwebengine: Update to 5.15.5.
      [a56ab603fd] gnu: python-shiboken-2: Update to 5.15.5.
      [9061ac29af] gnu: libunwind: Update to 1.6.2.
      [5cf9a03b7a] gnu: rust: Bootstrap with rust-1.54.0.
      [37cf96835c] gnu: rust: Add correct triplet for riscv64-linux.
      [8af3a97b9e] gnu: libatomic-ops: Update to 7.6.12.
      [ca4bfb0f2d] gnu: rust-bootstrap: Add support for riscv64-linux.
      [05e3ff8f38] gnu: rust-1.55: Fix building on riscv64-linux.
      [f2ed0113e8] .git-authorizations: Authorize Andrew Tropin.
      [7032e0bc8a] gnu: ghc-7: Rewrite arguments using G-expressions.
      [0fc0ce2342] gnu: ghc-7: Unpack tarballs from the store.
      [a8848b9311] gnu: ghc-7: Update to 7.10.3.
      [63e01d01b1] gnu: ghc-8.0: Modernize package.
      [ab8c83dd48] gnu: ghc-8.4: Modernize package.
      [279563ffe8] gnu: ghc-8.6: Rewrite using G-exps.
      [9e26302773] gnu: ghc-8.8: Rewrite using G-exps.
      [b94534adf0] gnu: ghc-8.10: Add phase unconditionally.
      [b4b7b236fa] gnu: ghc-8.10: Rewrite using G-exps.
      [47316120b7] gnu: ghc-8.10: Build using ghc-8.6.
      [5bfe389a6e] gnu: imlib2: Update to 1.9.1.

Liliana Marie Prikler (20):
      [f3a5841559] gnu: python-gst: Add upstream-name.
      [aaad1a19e8] gnu: gstreamer: Update to 1.20.3.
      [f1e8cc6a98] gnu: gst-plugins-base: Update to 1.20.3.
      [9c02f19d6d] gnu: gst-plugins-good: Update to 1.20.3.
      [7d8d0addad] gnu: gst-plugins-bad: Update to 1.20.3.
      [00319b9835] gnu: gst-plugins-ugly: Update to 1.20.3.
      [a7c64b598b] gnu: gst-libav: Update to 1.20.3.
      [a6c3a6d798] gnu: gst-editing-services: Update to 1.20.3.
      [c33b2ccddf] gnu: gstreamer-docs: Update to 1.20.3.
      [badee2b419] gnu: python-gst: Update to 1.20.3.
      [f1fdde3c45] gnu: gst-plugins/selection: Implement in terms of 
G-Expressions.
      [98f170e61c] gnu: Add gst-plugins-bad-minimal.
      [442bfe12bb] gnu: webkitgtk: Add missing inputs.
      [4d08f984e9] gnu: gstreamer: Use new package style.
      [f1b70e156a] gnu: gst-plugins-good: Use new package style.
      [673af7e81e] gnu: gst-plugins-bad: Use new package style.
      [43aeb00426] gnu: gst-plugins-ugly: Use new package style.
      [759f9e7135] gnu: gst-editing-services: Use new package style.
      [ab0f743139] gnu: gst-python: Use new package style.
      [cd7438c422] gnu: gst-editing-services: Update FIXME comment.

Tom Fitzhenry (5):
      [bb907402a6] gnu: Add ruby-hydra-minimal.
      [6ba74ab29c] gnu: Remove texlive's dependence on ruby-rspec and 
ruby-byebug.
      [22225620e3] gnu: Unpin ruby-nokogiri-diff's ruby-nokogiri
      [8f25dd57d6] gnu: Remove unused ruby-nokogiri-1.10.
      [3668a452d1] gnu: texlive-hyphen-package: Remove input labels.

Jim Newsome (2):
      [f9d947a38c] gnu: rust: decouple rust-1.57 and "rust"
      [ed94004740] gnu: rust: Use rust-1.60.0

Greg Hogan (1):
      [8ed15dedbe] gnu: suitesparse: Update to 5.12.0.

Jean-Pierre De Jesus DIAZ (1):
      [7767d30f55] gnu: polkit-mozjs: Fix native-inputs on stage.

Ludovic Court├Ęs (1):
      [7a485d43c9] gnu: ruby-hydra-minimal: Add missing patch.

Maxim Cournoyer (1):
      [c1a4ef9893] gnu: libsecret: Update to 0.20.5, use gexps and remove input 
labels.

Nicolas Graves (1):
      [7aad4a99f7] gnu: rust-adler32-1: Update to 1.2.0.

Peter Polidoro (1):
      [b048c4a0e9] gnu: python-click: Update to 8.1.3.

Attachment: signature.asc
Description: PGP signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]